Name:           sqlitebrowser
Version:        3.9.1
Release:        1%{?dist}
Summary:        Create, design, and edit SQLite database files

License:        GPLv3+ or MPLv2.0
URL:            https://github.com/%{name}/%{name}
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# Unbundle bundled libraries
Patch0:         sqlitebrowser_unbundle.patch
# Fix build failure due to project name with whitespace...
Patch1:         sqlitebrowser_build.patch

BuildRequires:  antlr-C++
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  qcustomplot-qt5-devel
BuildRequires:  qhexedit2-qt5-devel
BuildRequires:  sqlite-devel
BuildRequires:  qscintilla-devel
BuildRequires:  qscintilla-qt5-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel

Requires:       hicolor-icon-theme

%description
SQLite Database Browser is a high quality, visual, open source tool to create,
design, and edit database files compatible with SQLite.


%prep
%autosetup -p1

# Unbundle
rm -rf libs


%build
%cmake -DUSE_QT5=1 -DENABLE_TESTING=1 .
%make_build


%install
%make_install
%{_bindir}/appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.desktop.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%check
%make_build test


%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.desktop.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png


%changelog
* Mon Oct 03 2016 Sandro Mani <manisandro@gmail.com> - 3.9.1-1
- Update to 3.9.1

* Mon Sep 05 2016 Sandro Mani <manisandro@gmail.com> - 3.9.0-1
- Update to 3.9.0

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 27 2015 Sandro Mani <manisandro@gmail.com> - 3.8.0-1
- Update to 3.8.0

* Tue Nov 17 2015 Sandro Mani <manisandro@gmail.com> - 3.7.0-3
- Fix stack overflow due to signal infinite loop (#1282792)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 15 2015 Sandro Mani <manisandro@gmail.com> - 3.7.0-1
- Update to 3.7.0

* Wed May 20 2015 Sandro Mani <manisandro@gmail.com> - 3.6.0-2
- Rebuild (qhexedit2)

* Thu Apr 30 2015 Sandro Mani <manisandro@gmail.com> - 3.6.0-1
- Update to 3.6.0

* Mon Feb 09 2015 Sandro Mani <manisandro@gmail.com> - 3.5.1-1
- Update to 3.5.1

* Mon Feb 02 2015 Sandro Mani <manisandro@gmail.com> - 3.5.0-1
- Update to 3.5.0

* Sun Dec 28 2014 Sandro Mani <manisandro@gmail.com> - 3.4.0-2
- Rebuild (qcustomplot)

* Fri Oct 31 2014 Sandro Mani <manisandro@gmail.com> - 3.4.0-1
- Update to 3.4.0

* Sun Aug 10 2014 Sandro Mani <manisandro@gmail.com> - 3.2.0-1
- Initial package
